Subject: Confidentiality Agreement for Ameresco
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Mon, 30 Apr 2001 06:12:00 -0700 (PDT)

Kay:

I wanted to drop you a quick note to see if you have had a chance to review 
the CA that Kathleen prepared for a potential partnership we are pursuing 
with Ameresco regarding the development/marketing of a power generation 
facility in New England.  Could you please review and sign off on the CA at 
your earliest convenience so that I can get it into Ameresco's hands for 
signature.  Thanks!

Regards
John